/*
 Theme Name:   Curkfree Wholesale
 Theme URI:    https://
 Description:  Vzhled a chování projektu Curkfree Wholesale
 Author:       Tým WP-admin.cz
 Author URI:   https://wp-admin.cz
 Template:     generatepress
 Version:      0.1
 Text Domain:  curkfree-wholesale
*/

:root {
    --border-radius-sm: 0.5rem;
    --border-radius-lg: 2rem;
}


.wc-block-product-categories-list {
    list-style-type: none;
    margin-left: 0;
    padding-left: 0;
}

.wc-block-product-categories-list li a {
    text-decoration: none;
    color: inherit; 
}

.wc-block-product-categories-list .wc-block-product-categories-list-item__children {
    margin-left: 20px;
    margin-top: 5px;
}

/* Globální zaoblení a styl všech WooCommerce tlačítek (v archivu i na detailu) */
.woocommerce .products .button, 
.woocommerce .products .button, 
.woocommerce #respond input#submit,
.woocommerce div.product form.cart .button,
#ptholder table.product-table.dataTable .simple-product-add-cart .product-cart-wrapper .cart .button.single_add_to_cart_button,
#ptholder table.product-table.dataTable .variable-product-add-cart .product-cart-wrapper .cart .single_variation_wrap .button.single_add_to_cart_button {
    border-radius: var(--border-radius-sm);
    /*background-color: #f1f1f1 !important; 
    color: #000000;
    border: 1px solid #000000 !important; 
    font-weight: 600 !important;
    text-transform: none !important;    
    transition: all 0.3s ease; */
}

/* Styl tlačítek při přejetí myší */
.woocommerce .products .button:hover, 
.woocommerce #respond input#submit:hover,
.woocommerce div.product form.cart .button:hover,
#ptholder table.product-table.dataTable .simple-product-add-cart .product-cart-wrapper .cart .button.single_add_to_cart_button:hover {
    background-color: #000000 !important;
    color: #ffffff !important;
}

/* Zaoblení bloku pro výběr množství (detail produktu) */
.woocommerce div.product form.cart div.quantity {
    background-color: #f1f1f1 !important;
    border-radius: 15px !important;
    border: none !important;
    overflow: hidden; /* Aby tlačítka uvnitř nepřesahovala zaoblení */
}

/* Úprava vnitřních tlačítek + a - */
.woocommerce div.product form.cart div.quantity .minus, 
.woocommerce div.product form.cart div.quantity .plus,
.woocommerce div.product form.cart div.quantity input.qty {
    background: transparent !important;
    border: none !important;
}

select,
select:focus,
#DataTables_Table_0_filter input,
#ptholder table.product-table.dataTable .product-cart-wrapper .cart.variations_form select,
input:focus {
    border-radius: var(--border-radius-sm);
    background-color: #fff;
    padding: 0.5rem;
}
/* Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
#ptholder .product-table-filter-cart-wrapper .wc-product-table-select-filter {
	margin-right: 0;
}
#ptholder .product-table-wrap .dataTables_wrapper .product-table {
    border-radius: var(--border-radius-sm);
    border: 1px solid #ddd;
    background-color: transparent;
}
#ptholder table.product-table.dataTable thead th {
    border: 0;
}
#ptholder table.product-table.dataTable tbody td {
    background-color: #fff;
    box-shadow: none;
}
#ptholder .product-table-wrap .product-cart-wrapper .quantity {
    max-width: 100%;
}
#ptholder .cart .quantity.buttons-added .minus,
#ptholder .cart .quantity.buttons-added .plus,
#ptholder .cart .single_variation_wrap .variations_button .quantity .minus,
#ptholder .cart .single_variation_wrap .variations_button .quantity .plus {
    border: 0 !important;
    text-decoration: none;
    text-align: center;
    font-size: 1.5rem !important;
    background-color: transparent !important;
}
#ptholder .cart .quantity .qty, 
#ptholder .cart .quantity,
#ptholder .cart .single_variation_wrap .variations_button .quantity input:not(.minus):not(.minus), 
#ptholder .cart .quantity.buttons-added input:not(.minus):not(.minus) {
    text-align: center;
    border-radius: var(--border-radius-sm);
    background-color: transparent;
}
#ptholder table.product-table.dataTable .product-cart-wrapper .cart {
    display: flex;
}